MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028714Community[OCCT] OCCT:Application Frameworkpublic2017-05-04 06:322017-06-02 10:46
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionreopened 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0028714: Dimension of TDataStd_Real is not serialized to document
DescriptionNeigher bin nor xml document don't serialize the Dimension of TDataStd_Real.
Steps To ReproduceJust comments are added, not needed to be reproduced.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0066248)
git (administrator)
2017-05-18 11:28

Branch CR28714 has been created by mpv.

SHA-1: 161c549bef5171df1104910c52a5ee74a514582e


Detailed log of new commits:

Author: mpv
Date: Thu May 18 11:27:57 2017 +0300

    0028714: Dimension of TDataStd_Real is not serialized to document
    
    Added a comment to obsolete methods that these methods will be removed and that the corresponding field myDimension is not stored in the document.
(0066249)
mpv (developer)
2017-05-18 11:33

  Dear Vico,

These methods and field are obsolete and don't correspond to the main idea of OCAF component. All the attributes are atomic and must contain pure data, not specialized for some application.

So, I've added comments to methods that they will be deleted in some next version of OCCT.
(0066250)
kgv (developer)
2017-05-18 11:36
edited on: 2017-05-18 11:36

+  //! Obsolete method that will be removed in next versions.
+  //! This field is not supported in the persistence mechanism.
   Standard_EXPORT void SetDimension (const TDataStd_RealEnum DIM);

The methods which will be deleted in future are usually marked by Standard_DEPRECATED,
so that users will be able to actually see the usage of deprecated functionality in their code during compilation.

Or these methods beholds to internal API?

(0066252)
git (administrator)
2017-05-18 12:19

Branch CR28714 has been updated by mpv.

SHA-1: bceb3f1c3de0d7070756bc8dacdc68103f99cc5c


Detailed log of new commits:

Author: mpv
Date: Thu May 18 12:19:38 2017 +0300

    // added a Standard_DEPRECATED macro

(0066253)
mpv (developer)
2017-05-18 12:21

Thanks for remark, KGV. The Standard_DEPRECATED macro is added.
(0066345)
Vico Liang (developer)
2017-05-19 17:59

Dear mpv, thanks for your infomation. that's ok.
(0066485)
szy (administrator)
2017-05-23 16:55

Reviewed.
(0066486)
apv (tester)
2017-05-23 17:07

Dear BugMaster,

Please integrate branch CR28714 into the occt git-repository master.
(0066643)
bugmaster (administrator)
2017-05-26 14:44

MPV will think about possibility to avoid warnings during compilation of OCCT

http://jenkins-test-08.nnov.opencascade.com/view/IR-2017-05-25_IR-2017-05-25/view/OCCT%20compile/job/IR-2017-05-25_IR-2017-05-25-OCCT-Debian70-64-opt-compile/2/warnings21Result/ [^]
(0066729)
git (administrator)
2017-05-29 16:02

Branch CR28714_1 has been created by mpv.

SHA-1: 396e505919a089706299d3c40320234239bf8857


Detailed log of new commits:

Author: mpv
Date: Mon May 29 16:02:21 2017 +0300

    0028714: Dimension of TDataStd_Real is not serialized to document
    
    Added a comments and Standard_DEPRECATED macros to obsolete methods that these methods will be removed and that the corresponding field myDimension is not stored in the document.
(0066730)
mpv (developer)
2017-05-29 16:05

Please, review CR28714_1. Several changes were made to avoid "DEPRECATED" warnings during OCCT compilation.
(0066786)
kgv (developer)
2017-05-29 16:08

+  //! Obsolete method that will be removed in next versions.
+  //! Used to avoid a warning in TDataStd_Variable on OCC compilation.
+  Standard_EXPORT void SetDim(const TDataStd_RealEnum DIM);

You don't need adding extra function to suppress deprecation warnings - there is pair Standard_DISABLE_DEPRECATION_WARNINGS/Standard_ENABLE_DEPRECATION_WARNINGS for this.
(0066868)
git (administrator)
2017-05-30 12:25

Branch CR28714_2 has been created by mpv.

SHA-1: d3dcdbbf7358726647b1f82a11538a6ed7838329


Detailed log of new commits:

Author: mpv
Date: Tue May 30 11:49:26 2017 +0300

    0028714: Dimension of TDataStd_Real is not serialized to document
    
    Added a comments and Standard_DEPRECATED macros to obsolete methods that these methods will be removed and that the corresponding field myDimension is not stored in the document.
(0066869)
mpv (developer)
2017-05-30 12:26

Please, review branch CR28714_2.
(0066919)
szy (administrator)
2017-05-31 12:28

Reviewed.
(0066943)
mkv (tester)
2017-05-31 18:24

Dear BugMaster,
Branch CR28714_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: d3dcdbbf7358726647b1f82a11538a6ed7838329

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1184

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91630013 / 91769652 [-0.15%]
Total CPU difference: 18816.200000000314 / 19346.9700000001 [-2.74%]
products component :
Total MEMORY difference: 31279346 / 31352485 [-0.23%]
Total CPU difference: 5420.939999999976 / 5393.529999999966 [+0.51%]
Testing on Windows:
occt component :
Total MEMORY difference: 58499383 / 58497831 [+0.00%]
Total CPU difference: 17430.319332098577 / 17520.28510879866 [-0.51%]
products component :
Total MEMORY difference: 22726697 / 22688363 [+0.17%]
Total CPU difference: 5373.048842399975 / 5357.885545199975 [+0.28%]

There are no differences in images found by testdiff.
(0066944)
mkv (tester)
2017-05-31 18:24

Dear BugMaster,
Branch CR28714_2 is TESTED.
(0066987)
git (administrator)
2017-06-02 10:45

Branch CR28714_2 has been deleted by inv.

SHA-1: d3dcdbbf7358726647b1f82a11538a6ed7838329
(0066993)
git (administrator)
2017-06-02 10:45

Branch CR28714_1 has been deleted by inv.

SHA-1: 396e505919a089706299d3c40320234239bf8857
(0067002)
git (administrator)
2017-06-02 10:46

Branch CR28714 has been deleted by inv.

SHA-1: bceb3f1c3de0d7070756bc8dacdc68103f99cc5c

- Related Changesets
occt: master ea20d14b
Timestamp: 2017-05-18 08:27:57
Author: mpv
Committer: bugmaster
Details ] Diff ]
0028714: Dimension of TDataStd_Real is not serialized to document

Added a comment to obsolete methods that these methods will be removed and that the corresponding field myDimension is not stored in the document.

Added a Standard_DEPRECATED macro
mod - src/TDataStd/TDataStd_Real.hxx Diff ] File ]
occt: master ec2039e9
Timestamp: 2017-05-29 09:16:56
Author: mpv
Committer: bugmaster
Details ] Diff ]
0028714: XmlMFunction_ScopeDriver fail to read and write function label including 0 tag in label path.

Reproduced on TDF_Reference attribute that refers to label with zero-tags entry. Make checking of saved/retrieved tags in XML format pass zero-tags as correct.
mod - src/XmlObjMgt/XmlObjMgt.cxx Diff ] File ]
add - tests/bugs/caf/bug27187 Diff ] File ]
occt: master 58e5d30e
Timestamp: 2017-05-30 08:49:26
Author: mpv
Committer: bugmaster
Details ] Diff ]
0028714: Dimension of TDataStd_Real is not serialized to document

Added a comments and Standard_DEPRECATED macros to obsolete methods that these methods will be removed and that the corresponding field myDimension is not stored in the document.
mod - src/TDataStd/TDataStd_Variable.hxx Diff ] File ]
mod - src/DDataStd/DDataStd.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawDriver.cxx Diff ] File ]
mod - src/StdLPersistent/StdLPersistent_Real.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_Real.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Variable.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Real.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-04 06:32 Vico Liang New Issue
2017-05-04 06:32 Vico Liang Assigned To => mpv
2017-05-16 15:35 mpv Assigned To mpv => Vico Liang
2017-05-16 15:35 mpv Assigned To Vico Liang => mpv
2017-05-16 15:35 mpv Status new => assigned
2017-05-18 11:28 git Note Added: 0066248
2017-05-18 11:33 mpv Note Added: 0066249
2017-05-18 11:33 mpv Assigned To mpv => szy
2017-05-18 11:33 mpv Status assigned => resolved
2017-05-18 11:33 mpv Steps to Reproduce Updated View Revisions
2017-05-18 11:36 kgv Note Added: 0066250
2017-05-18 11:36 kgv Note Edited: 0066250 View Revisions
2017-05-18 11:36 kgv Note Edited: 0066250 View Revisions
2017-05-18 12:19 git Note Added: 0066252
2017-05-18 12:21 mpv Note Added: 0066253
2017-05-19 17:59 Vico Liang Note Added: 0066345
2017-05-23 16:55 szy Note Added: 0066485
2017-05-23 16:55 szy Assigned To szy => bugmaster
2017-05-23 16:55 szy Status resolved => reviewed
2017-05-23 17:07 apv Note Added: 0066486
2017-05-23 17:07 apv Status reviewed => tested
2017-05-23 17:07 apv Test case number => Not needed
2017-05-26 14:28 bugmaster Changeset attached => occt master ea20d14b
2017-05-26 14:29 bugmaster Status tested => verified
2017-05-26 14:29 bugmaster Resolution open => fixed
2017-05-26 14:44 bugmaster Assigned To bugmaster => mpv
2017-05-26 14:44 bugmaster Note Added: 0066643
2017-05-26 14:44 bugmaster Status verified => feedback
2017-05-26 14:44 bugmaster Resolution fixed => reopened
2017-05-29 16:02 git Note Added: 0066729
2017-05-29 16:05 mpv Note Added: 0066730
2017-05-29 16:05 mpv Assigned To mpv => szy
2017-05-29 16:05 mpv Status feedback => resolved
2017-05-29 16:08 kgv Note Added: 0066786
2017-05-30 11:21 mpv Assigned To szy => mpv
2017-05-30 11:21 mpv Status resolved => assigned
2017-05-30 12:25 git Note Added: 0066868
2017-05-30 12:26 mpv Note Added: 0066869
2017-05-30 12:26 mpv Status assigned => resolved
2017-05-30 12:26 mpv Assigned To mpv => szy
2017-05-31 12:28 szy Note Added: 0066919
2017-05-31 12:28 szy Assigned To szy => bugmaster
2017-05-31 12:28 szy Status resolved => reviewed
2017-05-31 12:42 mkv Assigned To bugmaster => mkv
2017-05-31 18:24 mkv Note Added: 0066943
2017-05-31 18:24 mkv Note Added: 0066944
2017-05-31 18:24 mkv Assigned To mkv => bugmaster
2017-05-31 18:24 mkv Status reviewed => tested
2017-06-02 10:28 bugmaster Changeset attached => occt master ec2039e9
2017-06-02 10:28 bugmaster Changeset attached => occt master 58e5d30e
2017-06-02 10:28 bugmaster Status tested => verified
2017-06-02 10:45 git Note Added: 0066987
2017-06-02 10:45 git Note Added: 0066993
2017-06-02 10:46 git Note Added: 0067002


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker